const {GateDevice, Directions} = require('@stargate-system/device');

GateDevice.setName('Motion Sensor Light');

const state = GateDevice.factory.createBoolean(Directions.input);
state.valueName = 'State';
state.labelTrue = 'On';
state.labelFalse = 'Off';
state.onRemoteUpdate = () => mode.setValue(false);

const mode = GateDevice.factory.createBoolean(Directions.input);
mode.valueName = 'Mode';
mode.labelTrue = 'Auto';
mode.labelFalse = 'Manual';

const sensitivity = GateDevice.factory.createInteger(Directions.input);
sensitivity.valueName = 'Sensitivity (%)';
sensitivity.setRange([1,100]);
sensitivity.setValue(57);

const time = GateDevice.factory.createInteger(Directions.input);
time.valueName = 'Time (s)';
time.setRange([1, 600]);
time.setValue(120);

GateDevice.start();
