"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const serialport_1 = require("serialport");
const LocalServerConnector_1 = require("./LocalServerConnector");
const openPorts = new Map();
const checkPorts = () => serialport_1.SerialPort.list().then((ports) => {
    openPorts.forEach((port, path) => {
        if (!ports.find((port) => port.path === path)) {
            openPorts.delete(path);
            port.close();
        }
    });
    ports.forEach((port) => {
        if (port.pnpId !== undefined) {
            if (!openPorts.has(port.path)) {
                const serialPort = new serialport_1.SerialPort({ path: port.path, baudRate: 115200 });
                openPorts.set(port.path, serialPort);
                new LocalServerConnector_1.LocalServerConnector(serialPort);
            }
        }
    });
});
const portService = {
    initialize: () => setInterval(checkPorts, 5000)
};
exports.default = portService;
