"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const device_1 = require("@stargate-system/device");
const controller_1 = require("./controller");
device_1.GateDevice.setName('Temperature Controller');
device_1.GateDevice.setGroup("Living Room");
const setpoint = device_1.GateDevice.factory.createFloat(device_1.Directions.input);
setpoint.valueName = 'Setpoint';
setpoint.setRange([10, 30]);
const mainSwitch = device_1.GateDevice.factory.createBoolean(device_1.Directions.input);
mainSwitch.valueName = 'System';
mainSwitch.labelTrue = 'Active';
mainSwitch.labelFalse = 'Off';
const systemState = device_1.GateDevice.factory.createString(device_1.Directions.output);
systemState.valueName = 'Status';
systemState.minimumLength = 5;
systemState.setValue(controller_1.systemStates.notReady);
device_1.GateDevice.start();
exports.default = {
    setpoint,
    mainSwitch,
    systemState
};
