import { GateDevice, Directions } from "@stargate-system/device";
import { systemStates } from "./controller";

GateDevice.setName('Temperature Controller');
GateDevice.setGroup("Living Room");

const setpoint = GateDevice.factory.createFloat(Directions.input);
setpoint.valueName = 'Setpoint';
setpoint.setRange([10, 30]);

const mainSwitch = GateDevice.factory.createBoolean(Directions.input);
mainSwitch.valueName = 'System';
mainSwitch.labelTrue = 'Active';
mainSwitch.labelFalse = 'Off';

const systemState = GateDevice.factory.createString(Directions.output);
systemState.valueName = 'Status'
systemState.minimumLength = 5;
systemState.setValue(systemStates.notReady);

GateDevice.start();

export default {
    setpoint,
    mainSwitch,
    systemState
}