const {GateDevice, Directions} = require('@stargate-system/device');

GateDevice.setName('Heater');
const heater = GateDevice.factory.createBoolean(Directions.input);
heater.labelTrue = 'Running';
heater.labelFalse = 'Off';
heater.onRemoteUpdate = () => {
    GateDevice.ServerStorage.append(
        'heating.txt',
        `${(new Date()).toLocaleString()} > Heater ${heater.value ? 'started' : 'stopped'}\n`,
        './logs'
    )
}
GateDevice.start();
