"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.initDiscovery = void 0;
const dgram_1 = __importDefault(require("dgram"));
const config_1 = __importDefault(require("../config"));
const socket = dgram_1.default.createSocket('udp4');
const initDiscovery = () => {
    const message = Buffer.from(config_1.default.discoveryKeyword + ':' + config_1.default.connectionPort);
    socket.on('listening', () => {
        socket.setBroadcast(true);
        setInterval(() => {
            socket.send(message, 0, message.length, config_1.default.discoveryPort, '255.255.255.255');
        }, config_1.default.discoveryInterval);
    });
    socket.bind(config_1.default.broadcastingPort);
};
exports.initDiscovery = initDiscovery;
