"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setServerStorageRequestListeners = void 0;
const core_1 = require("@stargate-system/core");
const Router_1 = __importDefault(require("../Router"));
const setServerStorageRequestListeners = (connection, defaultDirectory) => {
    connection.functionalHandler.addCommandListener(core_1.Keywords.storageSet, (params) => {
        if (params && params.length > 1) {
            const [key, value, directory] = params;
            Router_1.default.serverStorage.set(directory !== null && directory !== void 0 ? directory : defaultDirectory, key, value);
        }
    });
    connection.functionalHandler.addCommandListener(core_1.Keywords.storageAppend, (params) => {
        if (params && params.length > 1) {
            const [key, value, directory] = params;
            Router_1.default.serverStorage.append(directory !== null && directory !== void 0 ? directory : defaultDirectory, key, value);
        }
    });
    connection.functionalHandler.addCommandListener(core_1.Keywords.storageRemove, (params) => {
        if (params && params.length > 1) {
            const [key, directory] = params;
            Router_1.default.serverStorage.remove((directory && directory.length > 0) ? directory : defaultDirectory, (key && key.length > 0) ? key : undefined, true);
        }
    });
    connection.functionalHandler.addQueryListener(core_1.Keywords.storageGet, (respond, params) => {
        if (params && params.length > 0) {
            const [key, directory] = params;
            Router_1.default.serverStorage.get(directory !== null && directory !== void 0 ? directory : defaultDirectory, key).then((value) => {
                respond(value !== null && value !== void 0 ? value : '');
            });
        }
    });
};
exports.setServerStorageRequestListeners = setServerStorageRequestListeners;
