const {spawnSync} = require('child_process');

const isWindows = process.platform === 'win32';

const install = (path) => {
    console.log(`Installing ${path} ...`);
    const result = spawnSync((isWindows ? 'npm.cmd' : 'npm'), ['install'], {shell: true, cwd: path});
    if (result.stdout) {
        console.log(result.stdout.toString());
    }
    if (result.status !== 0 && result.stderr) {
        console.log(result.stderr.toString());
        process.exit(1);
    }
}

install('./LocalServer');
install('./GateHub');

install('./Backyard/MotionSensorLamp');
install('./Backyard/WeatherStation');

install('./Bathroom/Fan');
install('./Bathroom/Light');

install('./Heating/Controller');
install('./Heating/Heater');
install('./Heating/Pump');
install('./Heating/Valve');

install('./LivingRoom/AllLights');
install('./LivingRoom/Dimmer');
install('./LivingRoom/LedStrips');
install('./LivingRoom/SpotLights');
install('./LivingRoom/WeatherStation');

install('./Utils/Delay');
